Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "Payment successful",
"data": {
"mandate_status": "ACTIVE",
"mandate_id": "1234-4567-8901",
"next_possible_charge_date": "2014-11-10",
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string",
"value": "custom_property"
}
]
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "04",
"message": "The resource you are looking for does not exist",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Direct Debits
Trigger Direct Debit
Trigger a direct debit
POST
/
direct-debits
/
{mandate_id}
Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "Payment successful",
"data": {
"mandate_status": "ACTIVE",
"mandate_id": "1234-4567-8901",
"next_possible_charge_date": "2014-11-10",
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string",
"value": "custom_property"
}
]
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "04",
"message": "The resource you are looking for does not exist",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Connection ID for the target bank
Unique key to ensure idempotency of the request
SHA-256 signature of client_secret + ";" + idempotency-key
Path Parameters
The ID of the direct debit mandate
Body
application/json